# -*- encoding: utf-8 -*-
# stub: aspecto-opentelemetry 0.1.9 ruby lib

Gem::Specification.new do |s|
  s.name = "aspecto-opentelemetry".freeze
  s.version = "0.1.9"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/aspecto-io/aspecto-opentelemetry-ruby/CHANGELOG.md", "homepage_uri" => "https://docs.aspecto.io/", "source_code_uri" => "https://github.com/aspecto-io/aspecto-opentelemetry-ruby" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Aspecto".freeze]
  s.bindir = "exe".freeze
  s.date = "2022-01-06"
  s.email = ["support@aspecto.io".freeze]
  s.homepage = "https://docs.aspecto.io/".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Aspecto SDK and OpenTelemetry distribution for ruby programming language".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aspecto-opentelemetry-instrumentation-aws_sdk>.freeze, ["= 0.1.8"])
    s.add_runtime_dependency(%q<opentelemetry-exporter-otlp>.freeze, ["= 0.21.0"])
    s.add_runtime_dependency(%q<opentelemetry-instrumentation-all>.freeze, ["= 0.22.0"])
    s.add_runtime_dependency(%q<opentelemetry-propagator-b3>.freeze, ["= 0.19.2"])
    s.add_runtime_dependency(%q<opentelemetry-resource-detector-deployment>.freeze, ["= 0.0.1"])
    s.add_runtime_dependency(%q<opentelemetry-sdk>.freeze, ["= 1.0.2"])
    s.add_runtime_dependency(%q<rufus-scheduler>.freeze, ["~> 3.8"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<opentelemetry-common>.freeze, ["= 0.19.3"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rspec-mocks>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.7"])
  else
    s.add_dependency(%q<aspecto-opentelemetry-instrumentation-aws_sdk>.freeze, ["= 0.1.8"])
    s.add_dependency(%q<opentelemetry-exporter-otlp>.freeze, ["= 0.21.0"])
    s.add_dependency(%q<opentelemetry-instrumentation-all>.freeze, ["= 0.22.0"])
    s.add_dependency(%q<opentelemetry-propagator-b3>.freeze, ["= 0.19.2"])
    s.add_dependency(%q<opentelemetry-resource-detector-deployment>.freeze, ["= 0.0.1"])
    s.add_dependency(%q<opentelemetry-sdk>.freeze, ["= 1.0.2"])
    s.add_dependency(%q<rufus-scheduler>.freeze, ["~> 3.8"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<opentelemetry-common>.freeze, ["= 0.19.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rspec-mocks>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.7"])
  end
end
